import React from 'react';
import PropTypes from 'prop-types';

const arrow = 'M8,8.4 15.4,1.5 14.5,0.4 8,5.3 1.5,0.4 0.6,1.5';

const icons = {
  search: {
    path:'M13.5,13l6.6,6.3c0.3,0.3,0.3,0.7,0,1c-0.3,0.3-0.7,0.3-1,0L12.5,14c-1.3,1-2.9,1.6-4.6,1.6c-4.2,0-7.6-3.4-7.6-7.6s3.4-7.6,7.6-7.6s7.6,3.4,7.6,7.6C15.4,9.9,14.7,11.7,13.5,13z M7.9,14.2c3.4,0,6.2-2.8,6.2-6.2s-2.8-6.2-6.2-6.2S1.7,4.5,1.7,7.9S4.5,14.2,7.9,14.2z',
    width:22,
    height:22
  },
  downarrow:{
    path:arrow,
    width:16,
    height:9,
    transform:'rotate(0deg)'
  },
  uparrow:{
    path:arrow,
    width:16,
    height:9,
    transform:'rotate(-180deg)'
  },
  rightarrow:{
    path:arrow,
    width:16,
    height:9,
    transform:'rotate(-90deg)'
  },
  leftarrow:{
    path:arrow,
    width:16,
    height:9,
    transform:'rotate(90deg)'
  },
  plus:{
    path:'M3.62162162 9 5.32432432 9 5.32432432 5.32432432 8.97297297 5.32432432 8.97297297 3.67567568 5.32432432 3.67567568 5.32432432 0 3.62162162 0 3.62162162 3.67567568 0 3.67567568 0 5.32432432 3.62162162 5.32432432',
    width:24,
    height:24,
    transform:'translate(10,10)'
  },
  minus:{
    path:'M5.32432432 5.32432432 8.97297297 5.32432432 8.97297297 3.67567568 5.32432432 3.67567568 5.32432432  3.67567568 0 3.67567568 0 5.32432432 3.62162162 5.32432432',
    width:24,
    height:24,
    transform:'translate(10,10)'
  },
  close:{
    path:'M6.51005051,7.5 L0.505025253,13.5050253 C0.231658249,13.7783923 0.231658249,14.2216077 0.505025253,14.4949747 C0.778392257,14.7683418 1.22160774,14.7683418 1.49497475,14.4949747 L7.5,8.48994949 L13.5050253,14.4949747 C13.7783923,14.7683418 14.2216077,14.7683418 14.4949747,14.4949747 C14.7683418,14.2216077 14.7683418,13.7783923 14.4949747,13.5050253 L8.48994949,7.5 L14.4949747,1.49497475 C14.7683418,1.22160774 14.7683418,0.778392257 14.4949747,0.505025253 C14.2216077,0.231658249 13.7783923,0.231658249 13.5050253,0.505025253 L7.5,6.51005051 L1.49497475,0.505025253 C1.22160774,0.231658249 0.778392257,0.231658249 0.505025253,0.505025253 C0.231658249,0.778392257 0.231658249,1.22160774 0.505025253,1.49497475 L6.51005051,7.5 Z',
    width:15,
    height:15
  },
  info:{
    width:40,
    height:40,
    raw:`
    <g>
      <circle
         style="fill:none;fill-rule:evenodd;stroke:#46616e;stroke-width:1.20000005"
         cx="20"
         cy="20"
         r="17" />
      <path
         style="fill:none;fill-rule:evenodd;stroke:#46616e;stroke-width:1.20000005;stroke-linecap:round"
         d="m 20.1,17.5 0,9" />
      <path
         style="fill:none;fill-rule:evenodd;stroke:#46616e;stroke-width:1.20000005;stroke-linecap:round"
         d="m 20.1,14.5 0,-0.2" />
    </g>`
  },
  infoTooltop:{
    width: 29,
    height:29,
    raw:`
      <g id='tt-bg' style="stroke:none;">
        <path id='tt-circle' style="fill-rule:nonzero;stroke:#04589b;stroke-width:1.60000002" d="m 14.62,28.32 c 7.566301,0 13.7,-6.133699 13.7,-13.7 0,-7.5663011 -6.133699,-13.7 -13.7,-13.7 -7.5663011,0 -13.7,6.1336989 -13.7,13.7 0,7.566301 6.1336989,13.7 13.7,13.7 z" />
        <path id='tt-i' d="m 14.744,10.01 c -0.858,0 -1.584,-0.704 -1.584,-1.584 0,-0.88 0.77,-1.584 1.628,-1.584 0.858,0 1.584,0.704 1.584,1.584 0,0.88 -0.77,1.584 -1.628,1.584 z m -2.42,11.11 v -1.98 h 1.474 v -5.632 h -1.474 v -2.024 h 3.872 v 7.656 h 1.43 v 1.98 z" />
      </g>`
  },
  warning : {
    width:29,
    height:29,
    raw : `<g>
        <path d="M28,27.5H1.1c-0.4,0-0.8-0.2-1-0.5s-0.2-0.7,0.1-1.1L13.6,2.6C13.8,2.2,14.2,2,14.5,2l0,0c0.4,0,0.7,0.2,0.9,0.6l13.4,23.2 c0.2,0.4,0.2,0.8,0.1,1.1C28.8,27.3,28.4,27.5,28,27.5z M1,26.5C1,26.5,1.1,26.5,1,26.5h26.9c0.1,0,0.1,0,0.1,0s0,0-0.1-0.1 L14.6,3.1C14.6,3,14.5,3,14.5,3s0,0-0.1,0.1L1.1,26.4C1,26.4,1,26.4,1,26.5L1,26.5z"/>
        <path d="M13.9,13.2c0-0.3,0.2-0.6,0.5-0.6h0.9c0.3,0,0.6,0.3,0.5,0.6l-0.5,6.2c0,0.3-0.3,0.6-0.5,0.6 c-0.3,0-0.5-0.3-0.5-0.6L13.9,13.2z M13.8,22.1c0-0.7,0.5-1.2,1.1-1.2s1.1,0.6,1.1,1.2c0,0.7-0.5,1.2-1.1,1.2S13.8,22.8,13.8,22.1z" />
        </g>`
  },
  storm:{
    width:55,
    height:56,
    raw:`<g xmlns="http://www.w3.org/2000/svg">
    <path fill="#fff" d="M 13.9 34.6 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.9 5.3 c -0.2 0.4 -0.1 1 0.4 1.2 c 0.1 0.1 0.3 0.1 0.4 0.1 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.9 -5.3 C 14.5 35.4 14.4 34.9 13.9 34.6 Z" />
    <path fill="#fff" d="M 13.9 43.7 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.9 5.3 c -0.2 0.4 -0.1 1 0.4 1.2 c 0.1 0.1 0.3 0.1 0.4 0.1 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.9 -5.3 C 14.5 44.5 14.4 43.9 13.9 43.7 Z" />
    <path fill="#fff" d="M 7 40.5 l 2.2 -4 c 0.2 -0.4 0.1 -1 -0.4 -1.2 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.2 4 c -0.2 0.4 -0.1 1 0.4 1.2 C 5.9 40.9 6 41 6.2 41 C 6.5 41 6.8 40.8 7 40.5 Z" />
    <path fill="#fff" d="M 10.3 42.3 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.2 4 c -0.2 0.4 -0.1 1 0.4 1.2 C 7.3 48 7.5 48 7.6 48 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.2 -4 C 10.9 43.1 10.7 42.6 10.3 42.3 Z" />
    <path fill="#fff" d="M 43 39.9 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.9 5.3 c -0.2 0.4 -0.1 1 0.4 1.2 c 0.1 0.1 0.3 0.1 0.4 0.1 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.9 -5.3 C 43.6 40.7 43.4 40.1 43 39.9 Z" />
    <path fill="#fff" d="M 34.8 34.2 c -0.2 -0.3 -0.5 -0.5 -0.8 -0.5 h -5.9 l 3.1 -9.2 c 0.1 -0.3 0 -0.6 -0.1 -0.8 c -0.2 -0.2 -0.4 -0.4 -0.7 -0.4 h -6.6 c -0.4 0 -0.7 0.2 -0.8 0.6 l -5.5 15.5 c -0.1 0.3 -0.1 0.6 0.1 0.8 c 0.2 0.2 0.4 0.4 0.7 0.4 h 4.5 l -2 13.4 c -0.1 0.4 0.2 0.8 0.6 1 c 0.1 0 0.2 0.1 0.3 0.1 c 0.3 0 0.6 -0.2 0.8 -0.4 l 12.4 -19.6 C 35 34.8 35 34.5 34.8 34.2 Z M 23.1 50.2 l 1.5 -10.2 c 0 -0.3 0 -0.5 -0.2 -0.7 c -0.2 -0.2 -0.4 -0.3 -0.7 -0.3 h -4.3 l 4.9 -13.7 h 4.7 L 26 34.4 c -0.1 0.3 0 0.6 0.1 0.8 c 0.2 0.2 0.4 0.4 0.7 0.4 h 5.5 L 23.1 50.2 Z" />
    <path fill="#fff" d="M 49.2 17.8 c 0 -4.8 -4 -8.7 -8.8 -8.7 c -0.7 0 -1.4 0.1 -2 0.2 C 36.6 3.8 31.4 0 25.5 0 c -5.8 0 -11 3.8 -12.8 9.3 c -4.2 0.7 -7.2 4.3 -7.3 8.5 c -3.2 1 -5.4 3.9 -5.4 7.3 c 0 4.2 3.4 7.6 7.6 7.6 h 9.7 c 0.5 0 0.9 -0.4 0.9 -0.9 s -0.4 -0.9 -0.9 -0.9 H 7.6 c -3.2 0 -5.8 -2.6 -5.8 -5.8 c 0 -2.8 2 -5.2 4.7 -5.7 c 0.5 -0.1 0.8 -0.5 0.7 -1 c 0 -0.2 0 -0.4 0 -0.6 c 0 -3.5 2.7 -6.5 6.2 -6.9 c 0.4 0 0.7 -0.3 0.8 -0.6 c 1.4 -5 6.1 -8.5 11.3 -8.5 c 5.4 0 10.1 3.7 11.4 8.9 c 0.1 0.2 0.2 0.5 0.4 0.6 c 0.2 0.1 0.5 0.1 0.7 0.1 c 0.8 -0.3 1.6 -0.4 2.4 -0.4 c 3.9 0 7 3.1 7 6.9 c 0 0.2 0 0.4 0 0.6 c 0 0.4 0.3 0.9 0.7 1 c 2.6 0.6 4.6 3 4.6 5.7 c 0 3.2 -2.6 5.8 -5.8 5.8 H 32.7 c -0.5 0 -0.9 0.4 -0.9 0.9 s 0.4 0.9 0.9 0.9 h 14.2 c 4.2 0 7.6 -3.4 7.6 -7.6 C 54.5 21.8 52.3 18.8 49.2 17.8 Z" />
    <path fill="#fff" d="M 40.6 34.6 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.9 5.3 c -0.2 0.4 -0.1 1 0.4 1.2 c 0.1 0.1 0.3 0.1 0.4 0.1 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.9 -5.3 C 41.2 35.4 41 34.9 40.6 34.6 Z" />
    <path fill="#fff" d="M 36.8 42.7 c -0.4 -0.2 -1 -0.1 -1.2 0.4 l -2.9 5.3 c -0.2 0.4 -0.1 1 0.4 1.2 c 0.1 0.1 0.3 0.1 0.4 0.1 c 0.3 0 0.6 -0.2 0.8 -0.5 l 2.9 -5.3 C 37.4 43.5 37.2 43 36.8 42.7 Z" />
</g>`
  },
  twitter:
  {
    width: 40,
    height: 40,
    path: 'M40,7.7c-1.4,0.6-3,1.1-4.6,1.3c1.8-1,3-2.5,3.7-4.5c-1.6,1-3.3,1.6-5.3,1.9c-3-3.3-8.3-3.5-11.6-0.3 c-1.6,1.6-2.5,3.7-2.5,5.9c0,0.6,0,1.3,0.2,1.9C13.2,13.6,7,10.4,2.9,5.3C2.2,6.6,1.8,8,1.8,9.4c0,2.7,1.4,5.3,3.7,6.8 c-1.3,0-2.5-0.5-3.7-1.1v0.2c0,3.8,2.7,7.2,6.5,8c-0.6,0.2-1.4,0.3-2.2,0.3c-0.5,0-1.1,0-1.6-0.2c1.1,3.3,4.1,5.6,7.6,5.7 c-2.9,2.2-6.5,3.5-10.2,3.5c-0.6,0-1.3,0-1.9-0.2c3.7,2.4,8.1,3.7,12.6,3.7c15,0,23.2-12.4,23.2-23.2c0-0.3,0-0.6,0-1.1 C37.4,10.7,38.9,9.3,40,7.7'
  },
  facebook:
  {
    width: 40,
    height: 40,
    path: 'M14.7,40V22.5H8.1v-8.4h6.6v-3.4C14.7,5.1,19.2,0,24.8,0h7.1v8.4h-7.1c-0.9,0-1.7,0.8-1.7,2.3v3.4h8.8v8.4h-8.8 V40H14.7z'
  },
  youtube:
  {
    width: 40,
    height: 40,
    path: 'M40,28.1V11.9c0,0,0-7.8-6.9-7.8H6.9c0,0-6.9,0-6.9,7.8v16.2c0,0,0,7.8,6.9,7.8h26.2 C33.1,35.7,40,35.7,40,28.1z M27.8,20.1l-13.1,8.7V11.4L27.8,20.1L27.8,20.1z'
  },
  googleplus:
  {
    width: 40,
    height: 40,
    path: 'M39.3,17.2h-4.7v-4.7h-3.8v4.7h-4.7V21h4.7v4.7h3.8V21h4.7V17.2L39.3,17.2z M21.2,23 c-1.1-0.7-3.3-2.7-3.3-3.8c0-1.3,0.4-2,2.4-3.5c2-1.6,3.5-3.8,3.5-6.4c0-3.1-1.5-6.2-4-7.1h4L26.7,0H14.3C8.8,0,3.5,4.2,3.5,9.1 s3.8,8.9,9.5,8.9c0.4,0,0.7,0,1.1,0c-0.4,0.7-0.5,1.5-0.5,2.4c0,1.5,0.7,2.6,1.6,3.5c-0.7,0-1.5,0-2.2,0C6,23.7,0.7,28.3,0.7,32.7 c0,4.6,5.8,7.3,12.8,7.3c7.8,0,12.2-4.4,12.2-8.9C25.6,27.6,24.5,25.4,21.2,23L21.2,23z M14.6,16.8c-3.1,0-6.2-3.5-6.8-7.7 s1.6-7.5,4.7-7.3c3.3,0,6.2,3.5,6.8,7.7S17.9,17,14.6,16.8L14.6,16.8z M13.3,38c-4.7,0-8.2-2.9-8.2-6.6c0-3.5,4.2-6.6,8.9-6.4 c1.1,0,2,0.2,3.1,0.5c2.6,1.8,4.4,2.7,4.9,4.9c0.2,0.4,0.2,0.9,0.2,1.3C22.5,35.2,20.1,38,13.3,38z'
  },
  linkedIn:
  {
    width: 40,
    height: 40,
    raw: `<g>
            <path d="M14.4,12.8h7.8v4.1h0.2c1.2-2,3.9-4.1,7.8-4.1c8.2,0,9.8,5.1,9.8,12.1v13.7h-8.2V26.6c0-2.9,0-6.8-4.3-6.8 s-4.9,3.1-4.9,6.4v12.5h-8.2V12.8z"/>
            <path d="M0,12.8h8.6v25.8H0V12.8z"/>
            <path d="M8.6,5.7c0,2.5-1.8,4.3-4.3,4.3S0,8.1,0,5.7s1.8-4.3,4.3-4.3S8.6,3.2,8.6,5.7z"/>
    </g>`
  },
  email:
  {
    width: 21,
    height: 14,
    path: 'M20.1259977,0.346850399 L12.3026746,6.23414224 C12.2879026,6.24406834 12.2735782,6.25483275 12.2597757,6.26642499 L10.5300057,7.56813023 L0.914701324,0.319797218 C1.22729148,0.117468936 1.59992757,7.3492113e-17 2,0 L19,0 C19.4175839,-7.67089171e-17 19.8052771,0.127977397 20.1259977,0.346850399 Z M20.7918813,1.11065761 C20.9250919,1.37853897 21,1.68052162 21,2 L21,12 C21,12.1136924 20.9905134,12.225169 20.9722887,12.3336816 L13.4261681,6.65394055 L20.7918813,1.11065761 Z M20.5417268,13.2740863 C20.1748844,13.7174877 19.6204343,14 19,14 L2,14 C1.39642035,14 0.855288634,13.7326286 0.488583001,13.3098639 L8.47822215,7.28652642 L10.2262825,8.60432511 C10.3159471,8.67188931 10.4232921,8.70598713 10.5300057,8.70598713 C10.6367192,8.70598713 10.7434328,8.67188931 10.8337288,8.60495655 L12.5859039,7.28630596 L20.5417268,13.2740863 Z M0.0370784086,12.3852872 C0.0127480727,12.2606128 1.61402487e-17,12.1317951 0,12 L0,2 C-4.11991539e-17,1.66358338 0.083061674,1.34656685 0.229795736,1.0683397 L7.63896951,6.65384457 L0.0370784086,12.3852872 Z'
  },
  pinterest:
  {
    width: 25,
    height: 25,
    path: 'M12.4999488,0 C5.5964506,0 0,5.5964506 0,12.4999488 C0,17.7954587 3.29477222,22.3225813 7.94464824,24.1439023 C7.83542021,23.1549071 7.73674611,21.6339119 7.98809353,20.5542349 C8.21515667,19.5787651 9.4537574,14.3409431 9.4537574,14.3409431 C9.4537574,14.3409431 9.07986147,13.5921266 9.07986147,12.4850913 C9.07986147,10.7469721 10.0873004,9.44935139 11.3416808,9.44935139 C12.4081398,9.44935139 12.923233,10.2501178 12.923233,11.2102178 C12.923233,12.2826198 12.2404041,13.8860996 11.8880259,15.3720516 C11.5935406,16.6162879 12.5119372,17.6308994 13.7390618,17.6308994 C15.9607148,17.6308994 17.6685042,15.2883374 17.6685042,11.9067771 C17.6685042,8.91397012 15.5179622,6.82132098 12.4471791,6.82132098 C8.89060803,6.82132098 6.80287723,9.48900547 6.80287723,12.2460397 C6.80287723,13.3202861 7.21673464,14.4724061 7.73315983,15.0985716 C7.83531774,15.2223497 7.85027768,15.3308605 7.81994795,15.4570978 C7.7249626,15.8519991 7.51408898,16.7010267 7.47269299,16.8747054 C7.41818145,17.1035105 7.29153432,17.1519766 7.05463451,17.0419288 C5.49347296,16.3151423 4.51738836,14.0327274 4.51738836,12.1993155 C4.51738836,8.25624526 7.38231859,4.63512101 12.7766051,4.63512101 C17.1128348,4.63512101 20.4826116,7.7249626 20.4826116,11.8544173 C20.4826116,16.162469 17.7663586,19.6294854 13.9962498,19.6294854 C12.729676,19.6294854 11.5388241,18.9714532 11.1312171,18.1941513 C11.1312171,18.1941513 10.5044367,20.5807734 10.3524807,21.165543 C10.0702912,22.2513679 9.30846159,23.6123122 8.79890157,24.4424862 C9.96844068,24.8045986 11.211345,25 12.4999488,25 C19.4035494,25 25,19.4035494 25,12.4999488 C25,5.5964506 19.4035494,0 12.4999488,0'
  },
  tick:
  {
    width: 16,
    height: 16,
    path : 'M4.8,15.5c-0.4,0-0.8-0.2-1.1-0.4L0.6,12C0,11.4,0,10.4,0.6,9.8s1.5-0.6,2.1,0l1.9,1.9l8.5-10.4 c0.5-0.6,1.5-0.7,2.1-0.2c0.6,0.5,0.7,1.5,0.2,2.1L5.9,15C5.6,15.3,5.3,15.5,4.8,15.5C4.8,15.5,4.8,15.5,4.8,15.5z'
  },
  clock:
  {
    width: 16,
    height: 16,
    path: 'M7.7,15.1c-4.1,0-7.4-3.3-7.4-7.4s3.3-7.4,7.4-7.4s7.4,3.3,7.4,7.4S11.8,15.1,7.7,15.1z M7.7,13.6c3.3,0,5.9-2.6,5.9-5.9s-2.6-5.9-5.9-5.9S1.8,4.4,1.8,7.7S4.4,13.6,7.7,13.6z M8.3,8.1l2.3,1.1c0.4,0.2,0.5,0.6,0.3,1 c-0.2,0.4-0.6,0.5-1,0.3L7.2,9.2C7,9.1,6.8,8.8,6.8,8.5v-4c0-0.4,0.3-0.8,0.8-0.8s0.8,0.3,0.8,0.8V8.1z'
  },
  tag:
  {
    width: 16,
    height: 16,
    path: 'M1.6,7.7l5.7,5.7l6-6L7.6,1.7L2.1,2.1L1.6,7.7z M0.1,7.9l0.6-6.5C0.7,1,1,0.7,1.4,0.7l6.5-0.6 c0.2,0,0.4,0.1,0.6,0.2L15,6.8c0.3,0.3,0.3,0.8,0,1.1L7.9,15c-0.3,0.3-0.8,0.3-1.1,0L0.3,8.5C0.2,8.3,0.1,8.1,0.1,7.9z M5.9,5.9 C5.4,6.4,4.5,6.4,4,5.9C3.5,5.4,3.5,4.6,4,4s1.4-0.5,1.9,0C6.5,4.6,6.5,5.4,5.9,5.9z M5.2,5.2c0.1-0.1,0.1-0.3,0-0.5 c-0.1-0.1-0.3-0.1-0.5,0C4.6,4.8,4.6,5,4.7,5.2C4.9,5.4,5.1,5.4,5.2,5.2z'
  },
  play:
  {
    width: 78,
    height:78,
    raw: `<defs
     id="defs7">
    <path
       id="path-1"
       d="M 20.131691,25.202383 0.30334272,13.255628 c -0.3784447,-0.228017 -0.50039103,-0.71965 -0.27237476,-1.098095 0.06781605,-0.112556 0.16231432,-0.206674 0.27514318,-0.274035 L 20.13446,0.04553589 c 0.379361,-0.22648731 0.870499,-0.10255813 1.096986,0.27680357 0.07402,0.12398433 0.113105,0.26569183 0.113105,0.41009156 V 24.517148 c 0,0.441828 -0.358172,0.8 -0.8,0.8 -0.145495,0 -0.288236,-0.03968 -0.41286,-0.114765 z" />
    <mask
       fill="white"
       id="mask-2">
      <use
         height="100%"
         width="100%"
         y="0"
         x="0"
         id="use10"
         xlink:href="#path-1" />
    </mask>
  </defs>
  <use
     transform="rotate(-180,26.825484,25.961577)"
     height="100%"
     width="100%"
     y="0"
     x="0"
     style="fill:#37a640;fill-rule:evenodd;stroke:none;stroke-width:1"
     xlink:href="#path-1"
     id="Mask" />`
  },
  contact:{
    width: 25,
    height: 21,
    raw: `
      <g id="g4579">
        <path
           style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke-width:1;stroke-opacity:1"
           id="Fill-1"
           d="M 8.2255022,8.3476827 C 8.0908259,8.4583183 7.5593492,8.883574 7.4069925,8.8662872 7.268844,8.8524577 6.4999743,8.2197603 6.2590381,8.0019464 5.7169318,7.5110008 5.1606528,6.8126135 5.401589,6.0485362 5.5113921,5.7062573 5.7665363,5.4434977 6.1102246,5.3155753 6.5708378,5.1461645 7.1094009,5.3017458 7.4247084,5.6647689 7.5770651,5.4849861 7.7826048,5.360521 8.0483432,5.2810017 8.7959539,5.056273 9.5045896,5.6958852 9.49396,6.4219315 9.4903814,6.874846 9.2423589,7.293187 8.9553969,7.6389233 8.7356844,7.8982255 8.4876619,8.1333262 8.2255022,8.3476827 Z" />
        <path
           style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke-width:1;stroke-linecap:round;stroke-opacity:1"
           id="Line-2"
           d="M 8.0342624,11.64783 H 18.200746" />
        <path
           style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke-width:1;stroke-linecap:round;stroke-opacity:1"
           id="Line-2-Copy"
           d="m 10.650715,8.9263323 h 8.184488" />
        <path
           style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke-width:1;stroke-linecap:round;stroke-opacity:1"
           id="Line-2-Copy-2"
           d="m 11.603239,6.2048342 h 5.893958" />
        <path
           d="M 6.5972888,19.947864 C 8.4799592,17.985842 10.347883,16.66706 13.849888,16.657228 l 2.439537,0.0098 c 4.441585,0 8.075609,-3.634025 8.075609,-8.0756101 0,-4.4415853 -3.634024,-8.07560971 -8.075609,-8.07560971 H 9.3205248 c -4.4415853,3.2e-5 -8.0756096,3.63405631 -8.0756096,8.07564171 0,3.0539851 1.717647,5.7252561 4.2344283,7.0974081 0,0 2.1922124,0.96837 1.1179453,4.259006 z"
           id="path15"
           style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke-width:1.20000005;stroke-linejoin:round;stroke-opacity:1" />
      </g>
    `
  },
  externalLink:{
    width: 12,
    height:12,
    raw:`
    <g id="g847">
      <polyline
         id="Rectangle-2"
         points="7.61538462 0 11 0 11 3.38461538"
         style="fill:none;fill-rule:evenodd;stroke:#04589b;stroke-width:1;stroke-linecap:round;stroke-linejoin:round"
         transform="translate(0,1)" />
      <path
         d="M 6.3461539,5.6538461 10.576923,1.4230769"
         id="Line"
         style="fill:none;fill-rule:evenodd;stroke:#04589b;stroke-width:1;stroke-linecap:round" />
      <path
         style="fill:none;fill-rule:evenodd;stroke:#04589b;stroke-width:1"
         d="M 9.6538462,6.2320885 4.6963157,2.3461539 H 2.5384615 C 1.4126503,2.3461539 0.5,3.2588042 0.5,4.3846154 V 9.4615385 C 0.5,10.58735 1.4126503,11.5 2.5384615,11.5 h 5.0769231 c 1.1258112,0 2.0384616,-0.91265 2.0384616,-2.0384615 z"
         id="Rectangle" />
    </g>
    `
  },
  navArrow:{
    width:29,
    height:11,
    path:'M29 1.372l.004-1.366L.007 0 0 1.372a15.722 15.722 0 0 1 14.5 9.653A15.722 15.722 0 0 1 29 1.372z'
  }
};

class Icon extends React.Component {
  constructor (props) {
    super(props);

    this.state = {
      className: 'icon'
    };
  }

  render () {
    const {icon,strokeColor,fillColor,onClick} = this.props;

    const cssClass = `icon icon--${icon}`;

    if(icon === 'plus') {
      return (
        <span className={cssClass}><span></span><span></span></span>
      );
    }
    else if(icon === 'minus') {
      return (
        <span className={cssClass}><span></span></span>
      );
    }


    const iconData = icons[icon];

    if(iconData) {
      const viewBoxSize = iconData.viewboxSize ? iconData.viewboxSize : {x:iconData.width,y:iconData.height};

      const style = {
        transform:iconData.transform
      };

      const isRaw = !!iconData.raw;

      if(isRaw) {
        return (
            <svg focusable="false" width={iconData.width} height={iconData.height} viewBox={`0 0 ${viewBoxSize.x} ${viewBoxSize.y}`} className={cssClass} onClick={onClick} dangerouslySetInnerHTML={{__html: iconData.raw}}></svg>

        );
      }
      else{
        return(
          <span className={cssClass}>
              <svg focusable="false" width={iconData.width} height={iconData.height} viewBox={`0 0 ${viewBoxSize.x} ${viewBoxSize.y}`}  onClick={onClick} style={style}>
                <path d={iconData.path} stroke={strokeColor} fill={fillColor} ></path>
              </svg>
          </span>
        );
      }
    }
    else {
      const src = `/dist/images/icon/icon-${icon}.svg`;

      return (
        <span className={cssClass}><img src={src} /></span>
      );
    }
  }
}

Icon.propTypes = {
  icon: PropTypes.string,
  strokeColor: PropTypes.string,
  fillColor: PropTypes.string,
  onClick: PropTypes.func
};

module.exports = Icon;
